Bug 113324 - startup initializers sometime run in the wrong order
Summary: startup initializers sometime run in the wrong order
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106481
TreeView+ depends on / blocked
 
Reported: 2004-01-12 16:59 UTC by Dennis Gregorovic
Modified: 2007-04-18 17:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 22:20:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gregorovic 2004-01-12 16:59:45 UTC
The initializer classnames in the inits table have no ordering.  So,
the getRuntimeInitializerNames() method in Startup.java lists them in
whatever order the database returns.  This can result is behavior such
as the cms initializer running for the core initializer, which results
in errors.

Comment 1 Dennis Gregorovic 2004-01-15 22:29:51 UTC
@39423


Note You need to log in before you can comment on or make changes to this bug.